Skip to main content
GET
/
files
/
v3
/
folders
/
search
Search folders
curl --request GET \
  --url https://api.hubapi.com/files/v3/folders/search \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "parentFolderId": "<string>",
      "path": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

Offset search results by this value. The default offset is 0 and the maximum offset of items for a given search is 10,000. Narrow your search down if you are reaching this limit.

before
string

Search folders updated before this timestamp. Time must be epoch time in milliseconds.

createdAt
string<date-time>

Search folders by exact time of creation. Time must be epoch time in milliseconds.

createdAtGte
string<date-time>

Search folders by greater than or equal to time of creation. Can be used with createdAtLte to create a range.

createdAtLte
string<date-time>

Search folders by less than or equal to time of creation. Can be used with createdAtGte to create a range.

idGte
integer<int64>

Search folders by greater than or equal to ID. Can be used with idLte to create a range.

idLte
integer<int64>

Search folders by less than or equal to ID. Can be used with idGte to create a range.

ids
integer<int64>[]

Search folders by multiple IDs. Comma-separated list of folder IDs.

limit
integer<int32>

Number of items to return. Default limit is 10, maximum limit is 100.

name
string

Search for folders containing the specified name.

parentFolderIds
integer<int64>[]
path
string

Search folders by path.

properties
string[]

Properties that should be included in the returned folders.

sort
string[]

Sort results by given property. For example -name sorts by name field descending, name sorts by name field ascending.

updatedAt
string<date-time>

Search folders by exact time of latest updated. Time must be epoch time in milliseconds.

updatedAtGte
string<date-time>

Search folders by greater than or equal to time of latest update. Can be used with updatedAtLte to create a range.

updatedAtLte
string<date-time>

Search folders by less than or equal to time of latest update. Can be used with updatedAtGte to create a range.

Response

successful operation

results
object[]
required
paging
object
Last modified on February 12, 2026